# Generated from quke_demo_app-0.2.0.gem by gem2rpm -*- rpm-spec -*-
%global gem_name quke_demo_app

Name: rubygem-%{gem_name}
Version: 0.2.0
Release: 1%{?dist}
Summary: A web app used to demo Quke functionality
License: The Open Government Licence (OGL) Version 3
URL: https://github.com/DEFRA/quke-demo-app
Source0: https://rubygems.org/gems/%{gem_name}-%{version}.gem
BuildRequires: ruby(release)
BuildRequires: rubygems-devel
BuildRequires: ruby
# BuildRequires: rubygem(aruba)
# BuildRequires: rubygem(cucumber)
# BuildRequires: rubygem(defra_ruby_style)
# BuildRequires: rubygem(github_changelog_generator)
# BuildRequires: rubygem(pry-byebug)
# BuildRequires: rubygem(rack-test)
# BuildRequires: rubygem(rspec) >= 3.0
# BuildRequires: rubygem(rspec) < 4
# BuildRequires: rubygem(simplecov)
BuildArch: noarch

%description
A Sinatra web app packaged as a gem that is used to demonstrate
https://github/DEFRA/quke.


%package doc
Summary: Documentation for %{name}
Requires: %{name} = %{version}-%{release}
BuildArch: noarch

%description doc
Documentation for %{name}.

%prep
%setup -q -n %{gem_name}-%{version}

%build
# Create the gem as gem install only works on a gem file
gem build ../%{gem_name}-%{version}.gemspec

# %%gem_install compiles any C extensions and installs the gem into ./%%gem_dir
# by default, so that we can move it into the buildroot in %%install
%gem_install

%install
mkdir -p %{buildroot}%{gem_dir}
cp -a .%{gem_dir}/* \
        %{buildroot}%{gem_dir}/


mkdir -p %{buildroot}%{_bindir}
cp -a .%{_bindir}/* \
        %{buildroot}%{_bindir}/

find %{buildroot}%{gem_instdir}/exe -type f | xargs chmod a+x

%check
pushd .%{gem_instdir}
# cucumber
# rspec spec
popd

%files
%dir %{gem_instdir}
%{_bindir}/quke_demo_app
%{gem_instdir}/bin
%{gem_instdir}/exe
%{gem_libdir}
%exclude %{gem_cache}
%{gem_spec}

%files doc
%doc %{gem_docdir}
%doc %{gem_instdir}/README.md
%{gem_instdir}/Rakefile
%{gem_instdir}/spec

%changelog
* Tue Sep 14 2021 mockbuilder - 0.2.0-1
- Initial package
